Custody providers
Get Role Safes Operation
Lists the calling employee's own allocated legacy Safe wallets, cursor-paginated.
POSThttps://api.toku.com/tga/get-role-safes-operation
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/tga/get-role-safes-operation' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"cursor": {
"safeWalletID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"limit": 0
}'200 response
{
"safeWallets": [],
"totalSafeWalletsCounts": 0
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
cursorobjectShow child attributes
safeWalletIDstring<uuid>requiredlimitintegerAllowed: 1 to 20
Response
200Successful response
safeWalletsany[]nextCursoranytotalSafeWalletsCountsinteger400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits